---
title: 'SyntaxError: missing name after . operator'
slug: Web/JavaScript/Reference/Errors/Missing_name_after_dot_operator
tags:
  - Error
  - Errors
  - JavaScript
  - SyntaxError
---
<div>{{jsSidebar("Errors")}}</div>

<p>The JavaScript exception "missing name after . operator" occurs when there is a problem with how the dot operator (<code>.</code>) is used for <a href="/en-US/docs/Web/JavaScript/Reference/Operators/Property_Accessors">property access</a>.</p>

<h2 id="Message">Message</h2>

<pre class="syntaxbox">SyntaxError: missing name after . operator
</pre>

<h2 id="Error_type">Error type</h2>

<p>{{jsxref("SyntaxError")}}</p>

<h2 id="What_went_wrong">What went wrong?</h2>

<p>The dot operator (<code>.</code>) is used for <a href="/en-US/docs/Web/JavaScript/Reference/Operators/Property_Accessors">property access</a>. You will have to specify the name of the property that you want to access. For computed property access, you might need to change your property access from using a dot to using square brackets. These will allow you to compute an expression. Maybe you intended to do concatenation instead? A plus operator (<code>+</code>) is needed in that case. Please see the examples below.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Property_access">Property access</h3>

<p><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Property_Accessors">Property accessors</a> in JavaScript use either the dot (.) or square brackets (<code>[]</code>), but not both. Square brackets allow computed property access.</p>

<pre class="brush: js example-bad">var obj = { foo: { bar: "baz", bar2: "baz2" } };
var i = 2;

obj.[foo].[bar]
// SyntaxError: missing name after . operator

obj.foo."bar"+i;
// SyntaxError: missing name after . operator
</pre>

<p>To fix this code, you need to access the object like this:</p>

<pre class="brush: js example-good">obj.foo.bar; // "baz"
// or alternatively
obj["foo"]["bar"]; // "baz"

// computed properties require square brackets
obj.foo["bar" + i]; // "baz2"
</pre>

<h3 id="Property_access_vs._concatenation">Property access vs. concatenation</h3>

<p>If you are coming from another programming language (like <a href="/en-US/docs/Glossary/PHP">PHP</a>), it is also easy to mix up the dot operator (<code>.</code>) and the concatenation operator (<code>+</code>).</p>

<pre class="brush: js example-bad">console.log("Hello" . "world");

// SyntaxError: missing name after . operator</pre>

<p>Instead you need to use a plus sign for concatenation:</p>

<pre class="brush: js example-good">console.log("Hello" + "World");</pre>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Property_Accessors">Property accessors</a></li>
</ul>
